Subject: Offline Message from Laura Erskine: I received a Swagtron Swagger scooter thr
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Wed, 06 Apr 2022 01:01:22 -0000

From: Laura Erskine <[email-masked]>
Phone: 3104202746
Location: Los Angeles, United States
URL: https://swagtron.com/faq/escooter/using-swagstrap-with-swagger-2/
Department: SwagTron

I received a Swagtron Swagger scooter through an auction. The assembly went fine. The charger light shows green when it is plugged into the scooter but nothing happens when I press the power button. For what it is worth, the charger light is also green when it is plugged into the wall but not the scooter too.

----
Zopim
https://www.zopim.com